<?php
namespace Claromentis\Core\Http;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"] ?: array()) + array("_fad3a97fa7919b1999c977c8bd" . "ad925a" => base64_decode("c3ltZm9ueV9y" . "ZXF1ZXN0"), "_e06da3ffba2e" . "84b8e6f94bd2d" . "6ca3c52" => base64_decode("Y3JlYXRlX2ludGVybmFsX" . "2xpbms="), "_e6d18c493faa20d5d45c0751d2c02c" . "e6" => base64_decode("TG9jYXR" . "pb246IA" . "=="), "_db7b295629faa16027a2c263" . "095eba70" => base64_decode("cGhwX3NhcGlfbmFtZQ=" . "="), "_14feb7309" . "9827a30c31" . "c0b996c13f" . "13c" => base64_decode("b25LZXJ" . "uZWxSZX" . "F1ZXN0"), "_8ec8f26c742278f90615f50d682e" . "ea79" => base64_decode("UE9T" . "VA=="), "_eea266d1da508" . "f42deea49cc3ad" . "d68ec" => base64_decode("UF" . "VU"), "_2b2486424e6dfb906c92" . "5739c329be7c" => base64_decode("aGVhZGV" . "y"), "_c91b0ff19f81a8873a4593a2371" . "9472c" => base64_decode("cnRya" . "W0="), "_4d707fab93bebb00bbe69e" . "8159697c90" => base64_decode(""), "_ab8b6a5b56b4cfd73230" . "ed5cad4fb54c" => base64_decode("Y29yZS" . "5ib290" . "ZWQ="), "_8fec21706bd243b37ecf62b1caf" . "8fb8a" => base64_decode("Y2x" . "p"), "_781e2532c1e56969c535c11840" . "64bae6" => base64_decode("b25Db3" . "JlQm9v" . "dA=="), "_87daa84e346f6420a3f34" . "26e05d16a7b" => base64_decode("Lw=" . "="), "_bd8510ebf29b0f687c25c90c74" . "0715d8" => base64_decode("aHR0cF9yZX" . "Nwb25zZV9j" . "b2Rl"));
use Claromentis\Core\Application\Events\BootedEvent;
use Claromentis\Core\Event\EventSubscriberInterface;
use Symfony\Component\HttpKernel\Event\RequestEvent;
use Symfony\Component\HttpKernel\KernelEvents;





class CanonicalUrlRedirector implements EventSubscriberInterface
{
    protected $canonical_url;
    public function __construct($_504f0c1dde6057a1a55bea80963ef65c)
    {
        $this->canonical_url = $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_c91b0ff19f81a8873a4593a2371947" . "2c"]($_504f0c1dde6057a1a55bea80963ef65c, $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_87daa84e346f6420a3f" . "3426e05d16a7b"]);
    }
    
    
    
    
    public static function getSubscribedEvents()
    {
        return array(KernelEvents::REQUEST => array($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_14feb73099827a30c31c0b99" . "6c13f13c"], 1536), $GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_ab8b6a5" . "b56b4cfd" . "73230ed5" . "cad4fb54" . "c"] => $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_781e253" . "2c1e5696" . "9c535c11" . "84064bae" . "6"]);
    }
    
    
    
    
    
    
    public function onKernelRequest(RequestEvent $event)
    {
        if ($this->canonical_url == $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_4d707fab93bebb00bbe69e8159697" . "c90"] || !$event->isMasterRequest()) {
            return;
        }
        $request = $event->getRequest();
        
        
        if ($request->getMethod() === $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_8ec8f26c742278f90615f5" . "0d682eea79"] || $request->getMethod() === $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_eea266d1da508f42deea49cc3ad" . "d68ec"]) {
            return;
        }
        if (!$this->IsCanonicalUrl($request)) {
            $event->setResponse($this->BuildRedirectResponse($request));
        }
    }
    
    
    
    
    
    
    
    
    
    public function onCoreBoot(BootedEvent $event) : void
    {
        
        
        if ($GLOBALS["__65da1b1ec2d6653e8" . "a0ab7848e536215"]["_db7b295" . "629faa16" . "027a2c26" . "3095eba7" . "0"]() === $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_8fec21706bd243b37ecf62b1caf8fb8" . "a"]) {
            return;
        }
        $app = $event->getApplication();
        
        
        
        
        
        
        $_0ce802ba864a6ec25741334b8e5097bc = $app[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_fad3a97fa7919b1999c" . "977c8bdad925a"]];
        if ($_0ce802ba864a6ec25741334b8e5097bc && $this->SimpleCheckAndRedirect($_0ce802ba864a6ec25741334b8e5097bc)) {
            
            
            exit;
        }
    }
    protected function IsCanonicalUrl(\Symfony\Component\HttpFoundation\Request $request)
    {
        return $request->getSchemeAndHttpHost() == $this->canonical_url;
    }
    protected function BuildRedirectResponse(\Symfony\Component\HttpFoundation\Request $request)
    {
        $_c927258f5322288a992c77be40ae0b53 = $GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_e06da3ffba2e84b8e6f94bd2" . "d6ca3c52"]($request->getRequestUri());
        return new RedirectResponse($_c927258f5322288a992c77be40ae0b53, 301);
    }
    
    
    
    
    
    
    
    
    
    public function SimpleCheckAndRedirect(\Symfony\Component\HttpFoundation\Request $request)
    {
        if ($this->canonical_url != $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_4d707fab93bebb00bbe69e" . "8159697c90"] && !$this->IsCanonicalUrl($request)) {
            $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_bd8510ebf29b0f687c" . "25c90c740715d8"](301);
            $GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"]["_2b2486424e6dfb9" . "06c925739c329be7" . "c"]($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_e6d18c493" . "faa20d5d45" . "c0751d2c02" . "ce6"] . $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_e06da3ffba2e" . "84b8e6f94bd2d" . "6ca3c52"]($request->getRequestUri()));
            return true;
        }
        return false;
    }
}